Skip to content

Lets authorized reviewers approve or reject a pending request.

POST
/v1/m/governance/approvals/{id}/decisions
curl --request POST \
--url https://example.com/v1/m/governance/approvals/example/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "decision": "approve", "note": "example" }'

Lets authorized reviewers approve or reject a pending request.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
decision
required
string
Allowed values: approve reject
note
string
<= 4096 characters

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}